using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFormulaParameter {
        //성능분석식 파라메터
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "수식 고유번호"), Key]
        public int FormulaId { get; set; }
        [Display(Name = "수식에 사용된 파라메터 고유번호"), Key]
        public string ParameterId { get; set; }
        [Display(Name = "할당된 관제점의 설비고유번호"), Required]
        public int ParameterFacilityCode { get; set; }
        [Display(Name = "할당된 관제점의 속성번호"), Required]
        public int ParameterPropertyId { get; set; }

        [ForeignKey("SiteId,FacilityTypeId,FacilityCode,FormulaId")]
        [InverseProperty("BemsFormulaParameter")]
        public virtual BemsFormula BemsFormula { get; set; }
        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("BemsFormulaParameter")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
